{
  "name": "iview-admin",
  "version": "2.0.0",
  "author": "Lison<lison16new@163.com>",
  "private": false,
  "scripts": {
    "dev": "vue-cli-service serve --mode dev",
    "build_test": "vue-cli-service build --mode test",
    "build_uat": "vue-cli-service build --mode uat",
    "build_st": "vue-cli-service build --mode st",
    "build_pro": "vue-cli-service build --mode pro",
    "build_lib": "vue-cli-service build --target dk --name dk dk/index.js",
    "lint": "vue-cli-service lint",
    "test:unit": "vue-cli-service test:unit",
    "test:e2e": "vue-cli-service test:e2e",
    "postinstall": "patch-package"
  },
  "dependencies": {
    "@antv/x6": "2.13.1",
    "@antv/x6-plugin-clipboard": "^2.1.3",
    "@antv/x6-plugin-dnd": "^2.0.3",
    "@antv/x6-plugin-export": "^2.1.5",
    "@antv/x6-plugin-history": "^2.1.2",
    "@antv/x6-plugin-keyboard": "^2.1.4",
    "@antv/x6-plugin-minimap": "^2.0.5",
    "@antv/x6-plugin-selection": "^2.1.5",
    "@antv/x6-plugin-snapline": "^2.1.6",
    "@antv/x6-plugin-stencil": "^2.0.2",
    "@antv/x6-plugin-transform": "^2.1.5",
    "@babel/plugin-proposal-optional-chaining": "^7.18.9",
    "@tinymce/tinymce-vue": "^3.2.8",
    "axios": "^0.18.0",
    "clipboard": "^2.0.11",
    "concurrent-tasks": "^1.0.7",
    "core-js": "^2.6.12",
    "crypto-js": "^4.2.0",
    "dhtmlx-gantt": "^8.0.6",
    "echarts": "^5.4.1",
    "element-resize-detector": "^1.2.3",
    "element-ui": "^2.15.12",
    "html2canvas": "^1.4.1",
    "insert-css": "^2.0.0",
    "jqwidgets-scripts": "^13.1.0",
    "js-base64": "^3.7.3",
    "js-cookie": "^2.2.0",
    "js-md5": "^0.7.3",
    "jspdf": "^2.5.1",
    "patch-package": "^7.0.2",
    "qrcodejs2": "0.0.2",
    "quill": "^1.3.7",
    "quill-image-drop-module": "^1.0.3",
    "quill-image-resize-module": "^3.0.0",
    "sortablejs": "^1.14.0",
    "svg-sprite-loader": "^6.0.11",
    "tinymce": "^5.10.7",
    "v-click-outside-x": "^4.1.3",
    "v-viewer": "^1.6.4",
    "vant": "^2.12.39",
    "vconsole": "^3.15.1",
    "view-design": "^4.7.0",
    "vue-clipboard2": "^0.3.1",
    "vue-drag-resize": "^1.5.4",
    "vue-esign": "^1.1.4",
    "vue-i18n": "^7.8.0",
    "vue-plugin-hiprint": "0.0.56",
    "vue-printjs": "^1.0.0",
    "vue-property-decorator": "^9.1.2",
    "vue-quill-editor": "^3.0.6",
    "vue-router": "3.0.0",
    "vue-tour": "^2.0.0",
    "vuedraggable": "^2.24.3",
    "vuex": "^3.0.1",
    "vuex-persistedstate": "^2.5.4",
    "vxe-table": "3.5.9",
    "xe-utils": "^3.5.7"
  },
  "devDependencies": {
    "@vue/cli-plugin-babel": "^3.0.1",
    "@vue/cli-plugin-eslint": "^3.0.1",
    "@vue/cli-plugin-unit-mocha": "^3.0.1",
    "@vue/cli-service": "^3.0.1",
    "@vue/eslint-config-standard": "^3.0.0-beta.10",
    "babel-plugin-component": "^1.1.1",
    "babel-plugin-import": "^1.13.0",
    "bootstrap": "^4.3.1",
    "eslint-plugin-cypress": "^2.0.1",
    "javascript-natural-sort": "^0.7.1",
    "less": "^2.7.3",
    "less-loader": "^4.0.5",
    "node-sass": "4.14.1",
    "sass-loader": "8.0.0",
    "uuid": "^3.3.2",
    "vue-svg-icon": "^1.2.9",
    "vue-template-compiler": "^2.7.14"
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not ie <= 8"
  ],
  "gitHooks": {
    "pre-commit": "lint-staged"
  },
  "app-plus": {
    "softinputMode": "adjustPan"
  },
  "lint-staged": {
    "*.js": [
      "vue-cli-service lint",
      "git add"
    ],
    "*.vue": [
      "vue-cli-service lint",
      "git add"
    ]
  }
}
